Subject: Re: [PATCH 0/3] bulk-checkin: remove global transaction state

From: Junio C Hamano <[email-masked]>
Date: Wed, 20 Aug 2025 17:00:11 -0700

Justin Tobler <[email-masked]> writes:

> The bulk-checkin subsystem provides an interface to write objects to the
> object database in a bulk transaction. The state of an ongoing
> transaction is stored across several global variables. This series aims
> to remove this global transaction state in favor of storing state in in
> `struct object_database`. This is done in preparation for a follow-up
> change where the goal is to eventually move these transaction interfaces
> into "odb.h".

Wonderful.  I admit these global variables are left-over dropping of
my making.  Thanks for cleaning after me ;-)